<?php
/**
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_(MVC)_Component_for_Joomla!2.5_-_Part_07
 * @license    GNU/GPL
 */

//Debug
//require_once( JPATH_COMPONENT.DS.'krumo/class.krumo.php' );

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_sportactivities')) 
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}
 
// require helper file
//JLoader::register('sportactivitiesHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'sportactivities.php');
 
// import joomla controller library
//jimport('joomla.application.component.controller');
 
// Get an instance of the controller prefixed by sportactivities
$controller = JControllerLegacy::getInstance('sportactivities');
 
// Perform the Request task
$input = JFactory::getApplication()->input;
$controller->execute(JRequest::getCmd('task'));
 
// Redirect if set by the controller
$controller->redirect();

